This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 206587 - [or_IN] - Some GSUB Conjuncts with Priority -B, are not appearing with its correct shape.
[or_IN] - Some GSUB Conjuncts with Priority -B, are not appearing with its c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: fonts-indic (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rahul Bhalerao
: i18n
Depends On:
Blocks: 206581
  Show dependency treegraph
 
Reported: 2006-09-15 01:22 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-28 04:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Verified Image (124.88 KB, image/png)
2007-04-28 04:07 EDT, A S Alam
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-09-15 01:22:54 EDT
Description of problem:
Some of the Conjuncts in GSUB category are not appearing with its correct shape
after combine. Those Lists are mentioned in the 1st Comment. All these are
priority B or Normal category.

Version-Release number of selected component (if applicable):
fonts-oriya-2.0.1-1
pango-1.14.3-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given in the 1st comment but without 'U' and 
   '+'.
5. Observe the result.
  
Actual results:
Shapes, appearing is not correct. 

Expected results:
Shape should be correctly appearing.

Additional info:
Please see the 1st Comment for the List of Unicode Combinations of conjuncts,
those are showing incorrectly.
Comment 1 Satyabrata Maitra 2006-09-15 01:27:49 EDT
List of Conjuncts :

Unicode Combinations :

U+0B19 U+0B4D U+0B15 U+0B4D U+0B24
U+0B26 U+0B4D U+0B2D
U+0B36 U+0B4D U+0B2B
U+0B36 U+0B4D U+0B1F
U+0B37 U+0B4D U+0B1F U+0B4D U+0B2C
U+0B38 U+0B4D U+0B2E U+0B4D U+0B30 U+0B09
U+0B39 U+0B4D U+0B35
U+0B15 U+0B4D U+0B1D
U+0B15 U+0B4D U+0B20
U+0B15 U+0B4D U+0B27
U+0B15 U+0B4D U+0B32
U+0B24 U+0B4D U+0B25 U+0B4D U+0B30
Comment 2 Satyabrata Maitra 2006-09-26 03:54:30 EDT
I tested the Font Test Cases with the latest version of fonts available in the
Rawhide. But Fot some pango issue, its showing wrong!! The patch that has
claimed already been developed for this issue resolution, has still not been
built in pango and available as rpm. So, whenever it will be available, I will
again perform the test and the result will be reflected on this bug as comment.

Version tested :

fonts-oriya-2.0.4-1
pango-1.14.4-1.fc6
pango-devel-1.14.4-1.fc6 
Comment 3 Lawrence Lim 2006-09-28 22:32:32 EDT
Tested with the following packages, bug still exist.

fonts-oriya-2.0.4-1 (dist-fc6)
pango-1.14.4-3 (test rpm)
Comment 4 Rahul Bhalerao 2006-09-29 00:53:40 EDT
U+0B19 U+0B4D U+0B15 U+0B4D U+0B24: Image in the test case is definitely a
different combination. The below-base form shown in image is for 0B1A and not 0B24.

U+0B38 U+0B4D U+0B2E U+0B4D U+0B30 U+0B09 : Code points and their description do
not match with each other. 

U+0B24 U+0B4D U+0B25 U+0B4D U+0B30: Wrong image in test case

Confirmed with S Behera that test cases are wrong in these cases. Other
combinations work for me.
 
Comment 5 Lawrence Lim 2006-09-29 03:19:34 EDT
What are the fix that goes into this bug?? Could it be linked properly, if there
a problem down the track. It will be easier to revert any changes if necessary.
Comment 6 Rahul Bhalerao 2006-10-03 09:47:55 EDT
The font patches submitted on bug #206581, along with pango patches #207456,
cloned as #209096, fix this bug as well.
Comment 7 Satyabrata Maitra 2006-10-27 05:38:03 EDT
Some Information to be given regarding comment No. #4. Those are :
U+0B19 U+0B4D U+0B15 U+0B4D U+0B24 -- it is correct combination and the image
given is correct.
U+0B38 U+0B4D U+0B2E U+0B4D U+0B30 U+0B09 -- It has been deleted from the TC as
its not an valid combination!!
U+0B24 U+0B4D U+0B25 U+0B4D U+0B30 - The image is showing correct now!
Comment 8 A S Alam 2007-04-28 04:07:37 EDT
Created attachment 153690 [details]
Verified Image
Comment 9 A S Alam 2007-04-28 04:09:07 EDT
all combinations are tested on following version:
fonts-oriya-2.1.5-1.fc7

Note You need to log in before you can comment on or make changes to this bug.